# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
# stages:
# - test
# sast:
#   stage: test
# include:
# - template: Security/SAST.gitlab-ci.yml

image: bitwalker/alpine-elixir-phoenix:1.11

services:
  - postgres:11-alpine

variables:
  CORE_DB_NAME: bank_challenge
  CORE_DB_USERNAME: postgres
  CORE_DB_PASSWORD: "postgres"
  POSTGRES_HOST_AUTH_METHOD: trust
  MIX_ENV: "test"

before_script:
  - mix deps.get
  - mix ecto.setup

mix:
  script:
  - mix test
